Option Strict On
Public Class frmPlayground
  Dim WSave As Integer, HSave As Integer

  Private Sub frmPlayground_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    'start form in upper left corner
    Me.Left = 0
    Me.Top = 0
    'save form width/height for initialization
    WSave = Me.Width
    HSave = Me.Height
  End Sub

  Private Sub btnImage_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnImage.Click
    'reset autosize picture box and form to initial size
    picAuto.Width = picNormal.Width
    picAuto.Height = picNormal.Height
    Me.Width = WSave
    Me.Height = HSave
    'display open dialog box
    If dlgOpen.ShowDialog = Windows.Forms.DialogResult.OK Then
      picNormal.Image = Image.FromFile(dlgOpen.FileName)
      picCenter.Image = Image.FromFile(dlgOpen.FileName)
      picAuto.Image = Image.FromFile(dlgOpen.FileName)
      picStretch.Image = Image.FromFile(dlgOpen.FileName)
      picZoom.Image = Image.FromFile(dlgOpen.FileName)
      txtSize.Text = Str(picAuto.Width) + " pixels x" + Str(picAuto.Height) + " pixels"
    End If
  End Sub
End Class
